## swaml 0.1.1

=== debian/changelog ===
swaml (0.1.1-2) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 20:26:46 +0000

swaml (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + Drop python-xml dependency.
   + Set S-V to 3.8.4 (no changes).
  * Switch to dpkg-source 3.0 (quilt) format
  * Move to Debhelper compatibility level 7.

 -- Nacho Barrientos Arias <nacho@debian.org>  Fri, 16 Apr 2010 12:15:39 +0200

swaml (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + b-d: Drop quilt, no longer needed.
   + d: Add new deps python-sparqlwrapper, python-xml
   + Set Standards-Version to 3.8.0 (no changes).
   + Move homepage to the new Homepage field.
   + Buxon fits better as a suggest.
  * debian/patches
   + Drop all, merged upstream.
  * debian/watch
   + Finally fixed.

 -- Nacho Barrientos Arias <nacho@debian.org>  Fri, 25 Jul 2008 20:06:32 +0200

swaml (0.0.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
    + With maintainer consent.
  * Depend python-rdflib instead of python2.4-rdflib. (Closes: #445422).
  * debian/pyversions 2.4 -> 2.4-.
  * Add quilt patching system.
  * 10_python_shebang.diff - Use #usr/bin/python, not python2.4.

 -- Barry deFreese <bddebian@comcast.net>  Tue, 12 Feb 2008 11:29:19 -0500

swaml (0.0.5-2) unstable; urgency=low

  * Added debian/watch file.
  * New maintainer's email address. 

 -- Nacho Barrientos Arias <nacho@debian.org>  Thu, 22 Mar 2007 15:06:26 +0100

swaml (0.0.5-1) unstable; urgency=low

  * Initial release (Closes: #402904).

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Thu, 28 Dec 2006 13:57:38 +0100
