=== debian/control ===
Source: swaml
Section: web
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), python-support
Standards-Version: 3.8.4
Homepage: http://swaml.berlios.de

Package: swaml
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-rdflib, python-sparqlwrapper
Suggests: buxon
Description: Semantic Web Archive of Mailing Lists
 SWAML reads a collection of email messages stored in a mailbox
 (from a mailing list compatible with RFC 4155) and generates a
 RDF description. It is written in Python using SIOC as the main
 ontology to represent in RDF a mailing list, including the next
 features:
 .
   * Platform independent.
   * Text-based.
   * Compatible with RFC 4155.
   * Serialize RDF to disk.
   * Reusability of ontologies already extended, mainly SIOC.
   * Enrichment using FOAF.
   * KML support.
