=== debian/watch ===
version=3

opts=downloadurlmangle=s/prdownload/download/ \
http://developer.berlios.de/project/showfiles.php?group_id=4806 \
http://prdownload.berlios.de/swaml/swaml-(.*)\.tar\.gz
